com.ibm.openpages.api.questionnaire

## Enum AnswerType

- java.lang.Object
- - java.lang.Enum<AnswerType>
  - - com.ibm.openpages.api.questionnaire.AnswerType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AnswerType>

      public enum AnswerType
      extends java.lang.Enum<AnswerType>

  Enum for various `IQuestion` answer types supported by the API.

  Category:
    Questionnaire

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTI_CHECK` represents an answer type for multiple choice enum
    `RADIO` represents an answer type for single choice enum
    `TABLE_ANSWER` represents an answer type for table answer, less than 4000 bytes
    `TEXT` represents an answer type for single line text
    `TEXT_AREA` represents an answer type for multi line text, less than 4000 bytes

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnswerType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AnswerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RADIO

          public static final AnswerType RADIO

      represents an answer type for single choice enum

    - #### MULTI_CHECK

          public static final AnswerType MULTI_CHECK

      represents an answer type for multiple choice enum

    - #### TEXT

          public static final AnswerType TEXT

      represents an answer type for single line text

    - #### TEXT_AREA

          public static final AnswerType TEXT_AREA

      represents an answer type for multi line text, less than 4000 bytes

    - #### TABLE_ANSWER

          public static final AnswerType TABLE_ANSWER

      represents an answer type for table answer, less than 4000 bytes

  - ### Method Detail

    - #### values

          public static AnswerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AnswerType c : AnswerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AnswerType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.